Bug 32224 - g++ Internal error whith -O2
g++ Internal error whith -O2
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-19 09:07 EST by M. Goppold
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-30 02:43:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M. Goppold 2001-03-19 09:07:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.61 [en] (X11; I; IRIX 6.3 IP32)


I try to compile qt-2.2.2-2 and got the following messages:
make[5]: Wechsel in das Verzeichnis Verzeichnis
;/usr/src/redhat/BUILD/qt-2.2.2/tools/designer/designer+
...
g++  -c -I/usr/lib/qt-2.2.0/include -pipe -O2 -march=i686 -fno-exceptions
-DDESIGNER -I../shared -I../util -I../../../src/3rdparty/zlib -o
splashloader.o splashloader.cpp

In file included from splashloader.cpp:23:
../pics/splash.h:14156: Internal error: Speicherzugriffsfehler.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Without the -O2 flag it works.

Reproducible: Sometimes
Steps to Reproduce:
0.cat /proc/version: Linux version 2.4.2-2 (root@localhost.localdomain)
(gcc version egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)) #1 SMP Mon
Mdr 19 07:59:38 CET 2001
1.gcc --version: 2.96
2.rpm -ba --target=i686 qt.spec
3.
Comment 1 Jakub Jelinek 2001-03-20 05:27:27 EST
Please make sure you can reproduce it with rawhide gcc (2.96-78 or -79).
If yes, please rerun the above g++ command with -save-temps -v and attach here
splashloader.ii it creates.
Comment 2 M. Goppold 2001-03-30 02:43:40 EST
The error occurs to

kdebase-2.0.1:
--------------
In file included from chooser.all_cpp.cpp:4:
CXdmcp.cpp: In method `void CXdmcp::registerHostname (const char *)':
CXdmcp.cpp:682: warning: comparison between signed and unsigned integer
expressions
In file included from CXdmcp.cpp:1088,
                 from chooser.all_cpp.cpp:4:
CXdmcp.moc: In function `QString CXdmcp::tr (const char *, const char
*)':
CXdmcp.moc:54: Internal error: Speicherzugriffsfehler.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [chooser.all_cpp.o] Fehler 1


kdegames-2.0.1:
---------------
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde -I/usr/lib/qt-2.2.2/include
-I/usr/X11R6/include     -O2 -fno-exceptions -fno-check-new -Wall -pedantic -W
-Wpointer-arith -Wmissing-prototypes -Wwrite-strings -Wno-long-long -fno-builtin
-O2 -march=i686 -DNO_DEBUG -DNDEBUG -fno-check-new -DQT_CLEAN_NAMESPACE
-DQT_NO_COMPAT -DQT_NO_ASCII_CAST  -c konquest.all_cc.cc
In file included from gameboard.cc:21,
                 from konquest.all_cc.cc:4:
/usr/include/g++-3/iostream.h:225: Internal error:
Speicherzugriffsfehler.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [konquest.all_cc.o] Fehler 1

kdegraphics-2.0.1:
------------------
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde -I/usr/lib/qt-2.2.2/include
-I/usr/X11R6/include -Ikpathsea -I../kviewshell -I../kfax/libtiffax -O2
-fno-exceptions -fno-check-new -Wall -pedantic -W -Wpointer-arith
-Wmissing-prototypes -Wwrite-strings -Wno-long-long -fno-builtin -O2 -march=i686
-fno-check-new -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT -DQT_NO_ASCII_CAST
-Wp,-MD,.deps/libkfax_la.all_cpp.pp -c libkfax_la.all_cpp.cpp  -fPIC -DPIC -o
.libs/libkfax_la.all_cpp.o
In file included from kfax_multipage.h:9,
                 from kfax_multipage.moc:18,
                 from kfax_multipage.cpp:28,
                 from libkfax_la.all_cpp.cpp:3:
/usr/include/kde/kaction.h:1280: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

kdemultimedia-2.0.1:
--------------------
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde -I/usr/lib/qt-2.2.2/include
-I/usr/X11R6/include -DQT_CLEAN_NAMESPACE -O2 -fno-exceptions -fno-check-new
-Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings
-Wno-long-long -fno-builtin -O2 -march=i686 -DNDEBUG -fno-check-new
-DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT -DQT_NO_ASCII_CAST -I/usr/include/kde
-Wp,-MD,.deps/aktionConf.pp -c aktionConf.cpp  -fPIC -DPIC -o .libs/aktionConf.o
In file included from /usr/include/kde/kapp.h:43,
                 from main.cpp:4:
/usr/lib/qt-2.2.2/include/qapplication.h:325: Internal error: Segmentation
fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [main.lo] Fehler 1

----------------------------------------------------------

I've tryed out to build kde-2.0.1 several times with gcc 2.96-78 and no
error occurs.
Comment 3 Jakub Jelinek 2001-04-03 04:38:06 EDT
If no errors occurs with -78, then this should be fine.

Note You need to log in before you can comment on or make changes to this bug.